Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.treewalker
Class PreOrderTraversal

A simple preorder traversal over the supplied antlr AST.

author:
  Jeremy Rayner

version:
  $Revision: 6778 $

Constructor Summary
`PreOrderTraversal(Visitor visitor)` A simple preorder traversal over the supplied antlr AST.

Method Summary
`void` | `accept(GroovySourceAST currentNode)`

Constructor Detail

### PreOrderTraversal

    public PreOrderTraversal(Visitor visitor)

  A simple preorder traversal over the supplied antlr AST.
  param:
    visitor the Visitor to call for each node visited

Method Detail

### accept

    public void accept(GroovySourceAST currentNode)